package javax.microedition.lcdui;

import java.util.Vector;
import org.me4se.impl.lcdui.*;

public abstract class Item {

    Form form;
    Form saveForm;

    DeviceLabel label = new DeviceLabel("label", false);
    
    /** 
     * The lines are stored without ScmContainer and are
     * inserted separately in the form component in order
     * to simplify scrolling */
    
    Vector lines = new Vector();

    Item() {
        label.compact = true;
        label.highlight = false;
        lines.addElement(label);
    }

    Item(String lbl) {
        this();
        setLabel(lbl);
    }

    int delete() {
        saveForm = form;
        return form == null ? -1 : form.delete(this);
    }

    void readd(int index) {
        if (index == -1)
            return;
        saveForm.insert(index, this);
    }

    public void setLabel(String lbl) {
        label.setText(lbl == null ? null : lbl.replace('\n', ' '));
        label.invalidate();
    }

    public String getLabel() {
        return label.getText();
    }

}
